<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: user_profil_message_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$message_lc = [
    1 => $locale['uf_profil_message_M'],
    2 => $locale['uf_profil_message_R'],
    3 => $locale['uf_profil_message_A'],
    4 => $locale['uf_profil_message_T']
];
if ($profile_method == "input") {
	$options = [
        'inline'     => TRUE,
        'tip'        => $locale['uf_profil_message_tip'],
        'options'    => $message_lc,
        'width'      => '150px',
        'error_text' => $locale['uf_profil_message_error']
    ] + $options;
	$user_fields = form_select('user_profil_message', $locale['uf_profil_message'], $field_value, $options);

// Display user field input
} elseif ($profile_method == "display") {
    $lookup = get("lookup", FILTER_VALIDATE_INT);
    $prms = ($user_data['user_profil_message'] == 3 && iADMIN ? 1 : ($user_data['user_profil_message'] == 2 && iMEMBER ? 1 : ($user_data['user_profil_message'] == 1 ? 1 : 0)));
    $scomments = ($prms == 1 ? \PHPFusion\Comments::getInstance(
        [
            'comment_item_type'     => 'UP',
            'comment_db'            => DB_USERS,
            'comment_col'           => 'user_id',
            'comment_item_id'       => $lookup,
            'clink'                 => FUSION_SELF."?lookup=".$lookup,
            'comment_count'         => TRUE,
            'comment_allow_subject' => FALSE,
            'comment_allow_reply'   => TRUE,
            'comment_allow_post'    => TRUE,
            'comment_once'          => FALSE
        ], 'profil_comments'
    )->showComments() : '');
    $user_fields = [
        'title' => $locale['uf_profil_message'],
        'value' => $field_value ? $scomments : ''
    ];
}

